Download it now!
Bug 67395 - Paragraph style dialog height problems
Summary: Paragraph style dialog height problems
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.2.0 target:4.1.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-27 12:42 UTC by Olivier R.
Modified: 2013-08-14 18:42 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
paragraph style dialog UI (975.04 KB, image/png)
2013-07-27 12:43 UTC, Olivier R.
Details
before->after picture of font tab (107.68 KB, image/png)
2013-07-29 19:47 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier R. 2013-07-27 12:42:15 UTC
Since LO 4, paragraph style edition UI has been modified and there is several glitches to fix. The dialog UI looks like a draft.

The style dialog has been stretched vertically, creating a lot of unused spaces and on several tabs widgets had been compressed in shrunk spaces, creating more unused spaces. This is particularly visible on the tab Position.

On tab Organizer, the bottom lines of drop-down lists are not visible.

See screenshot attached.

These glitches are particularly visible on Windows, a little less on Linux.
Comment 1 Olivier R. 2013-07-27 12:43:06 UTC
Created attachment 83088 [details]
paragraph style dialog UI
Comment 2 Urmas 2013-07-28 08:25:40 UTC
Those are from the new widget padding in the full variant of font tab.

I think additional Font/Size/Style/Language label rows should be just thrown out, as I doubt someone will actually use them for keyboard navigation there.
Comment 3 Commit Notification 2013-07-29 19:04:29 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1d33fc35f787061c9440ba44dfd53de405bd430a

Related: fdo#67395 adjust height of font name tabpage, etc.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-07-29 19:13:44 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1193dc782f4479a81f3d283c99df2f5c7e022682

Related: fdo#67395 drop 'Preview' frame title



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-07-29 19:38:13 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63ced8e54f1786e5814f082c9fb87c89e5c850a9

Related: fdo#67395 drop 'Font' frame title



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2013-07-29 19:47:17 UTC
Created attachment 83237 [details]
before->after picture of font tab
Comment 7 Commit Notification 2013-07-29 19:47:25 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=167416c3ed3ed52249559ff3548c0fc06d0d0eef

Related: fdo#67395 add border to preview to cut up whitespace



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2013-07-29 19:49:24 UTC
A lot of issues here, so I'll take this on the "too much vertical space" angle
Comment 9 Commit Notification 2013-07-30 12:19:53 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fd424dd6fcf367da671b6d31a64465cb0751a026&h=libreoffice-4-1

Related: fdo#67395 adjust height of font name tabpage, etc.


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Caolán McNamara 2013-07-30 12:23:05 UTC
That should take care of the high height issue for western-font only.
Comment 11 Olivier R. 2013-08-14 18:42:46 UTC
Looks good on 4.1.1.1. Thanks.